<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
  <head>
      <title>Register Page</title>
  </head>

  <body>

    <div class="container">

       <form action="register" method="post" th:object="${user}">
       		<table>
       			<tr>
		       		<td><label for="email">Email</label></td>
		       		<td><input id="email" type="text" th:field="*{email}"  /></td>
	       		</tr>
	       		<tr>
		       		<td></td>
		       		<td th:if="${#fields.hasErrors('email')}" th:errors="*{email}" style="color: red;" ></td>
	       		</tr>
	       		<tr>
		       		<td><label for="userName">UserName</label></td>
		       		<td><input id="userName" type="text" th:field="*{userName}"  /></td>
		       	</tr>
		       	<tr>
		       		<td></td>
		       		<td th:if="${#fields.hasErrors('userName')}" th:errors="*{userName}" style="color: red;" ></td>
	       		</tr>
		       	<tr>
		       		<td><label for="password">Password</label></td>
		       		<td><input id="password" type="password" th:field="*{password}"  /></td>
		       	</tr>
		       	<tr>
		       		<td></td>
		       		<td th:if="${#fields.hasErrors('password')}" th:errors="*{password}" style="color: red;" ></td>
	       		</tr>
		       	<tr>
		       		<td><label for="passwordConfirm">Password Confirm</label></td>
		       		<td><input id="passwordConfirm" type="password" th:field="*{passwordConfirm}"  /></td>
		       	</tr>
		       	<tr>
		       		<td></td>
		       		<td th:if="${#fields.hasErrors('passwordConfirm')}" th:errors="*{passwordConfirm}" style="color: red;" ></td>
	       		</tr>
       		</table>
       		<button type="submit">Submit</button>
       </form>

    </div>
  </body>
</html>